Subject: Re: [PATCH] Added make options NO_GUI and WITH_P4IMPORT.

From: Eygene Ryabinkin <[email-masked]>
Date: Wed, 21 Mar 2007 14:50:04 +0300

Johannes, good day.

Wed, Mar 21, 2007 at 12:16:40PM +0100, Johannes Schindelin wrote:
> > Will try to implement. But still, NO_GUI should ban the GUI tools from 
> > being built and installed, because user can have the Tcl/Tk available, 
> > but have no intention to use the git GUI. Am I right?
> 
> I am not quite certain if I agree. With a similar reasoning, you could 
> introduce a flag to prevent pull-request from being installed, and 
> git-tag, or other rarely used functions. Is it so bad to have gitk and 
> git-gui installed?

I am happening to develop on some machines on which I have no
X-Windows or any GUI providers at all, so I prefer not to have the
Tcl/Tk dependency at all. Once again, the patch was originally done
for the FreeBSD where the port system installs the dependencies
automatically. And I do not need the Tcl/Tk on some machines: imagine
the server that uses Git for its configuration tracking. It is
server, there is absolutely no need for any GUIs there. And one of
my developing machines has no X-Windows, so Tcl/Tk is again useless.
This is the reasons for the NO_GUI knob. As it is turned off by
default it does not breaks the expectations of the users who are
used to the git GUI tools.

> I mean, you are likely to just try them (and possibly 
> like them!) at some stage, because the graphical representation is so much 
> clearer than what _any_ text representation can do.

Yes, sometimes I use the graphical representation. But there are
use-cases when no GUI is needed at all.
-- 
Eygene